# Generated from panjiva-rack-mini-profiler-0.10.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name panjiva-rack-mini-profiler

Name: rubygem-%{gem_name}
Version: 0.10.5.2
Release: 1%{?dist}
Summary: Profiles loading speed for rack applications
License: MIT
URL: http://miniprofiler.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(activerecord) >= 3.0
# BuildRequires: rubygem(activerecord) < 4
# BuildRequires: rubygem(dalli)
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(redis)
# BuildRequires: rubygem(sass)
# BuildRequires: rubygem(flamegraph)
BuildArch: noarch

%description
Profiling toolkit for Rack applications with Rails integration. Client Side
profiling, DB profiling and Server profiling.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/rack-mini-profiler.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.10.5.2-1
- Initial package
